Package org.apache.storm.perf

# Class ConstSpoutIdBoltNullBoltTopo

java.lang.Object
org.apache.storm.perf.ConstSpoutIdBoltNullBoltTopo

public class ConstSpoutIdBoltNullBoltTopo extends Object
ConstSpout -> IdBolt -> DevNullBolt This topology measures speed of messaging between spouts->bolt and bolt->bolt ConstSpout : Continuously emits a constant string IdBolt : clones and emits input tuples DevNullBolt : discards incoming tuples.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BOLT1_COUNT`
  `static final String`
  `BOLT1_ID`
  `static final String`
  `BOLT2_COUNT`
  `static final String`
  `BOLT2_ID`
  `static final String`
  `SPOUT_COUNT`
  `static final String`
  `SPOUT_ID`
  `static final String`
  `TOPOLOGY_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConstSpoutIdBoltNullBoltTopo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `main(String[] args)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TOPOLOGY_NAME

    public static final String TOPOLOGY_NAME
    See Also:
      - Constant Field Values

  - ### SPOUT_ID

    public static final String SPOUT_ID
    See Also:
      - Constant Field Values

  - ### BOLT1_ID

    public static final String BOLT1_ID
    See Also:
      - Constant Field Values

  - ### BOLT2_ID

    public static final String BOLT2_ID
    See Also:
      - Constant Field Values

  - ### BOLT1_COUNT

    public static final String BOLT1_COUNT
    See Also:
      - Constant Field Values

  - ### BOLT2_COUNT

    public static final String BOLT2_COUNT
    See Also:
      - Constant Field Values

  - ### SPOUT_COUNT

    public static final String SPOUT_COUNT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConstSpoutIdBoltNullBoltTopo

    public ConstSpoutIdBoltNullBoltTopo()

- ## Method Details

  - ### main

    public static void main(String[] args) throws Exception
    Throws:
      `Exception`